#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Manages the power consumption settings of a Plasma Shell
Name:           powerdevil
Version: 5.12.2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  pkgconfig(xrandr)

BuildRequires:  pkgconfig(Qt5Core) 
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Help)

BuildRequires:  kf5-macros
BuildRequires:  kauth-devel
BuildRequires:  kidletime-devel
BuildRequires:  kconfig-devel
BuildRequires:  solid-devel
BuildRequires:  ki18n-devel
BuildRequires:  kglobalaccel-devel
BuildRequires:  kio-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  plasma-framework-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  plasma-workspace-devel
BuildRequires:  kwayland-devel
BuildRequires:  cmake(KF5NetworkManagerQt)
BuildRequires:  cmake(KF5BluezQt)

BuildRequires:  pkgconfig(kscreen2)

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

BuildConflicts: kdebase4-workspace-devel

Requires:       upower

Provides:      plasma-krunner-powerdevil = %version-%release
Obsoletes:     plasma-krunner-powerdevil < 2:5.0.0

# duplicated files with KDE 4
Conflicts:      kde-l10n < 15.04.3
Conflicts:      kdm < 2:4.11.11

%description
Manages the power consumption settings of a Plasma Shell

%files -f %{name}.lang
%_sysconfdir/xdg/autostart/powerdevil.desktop
%_sysconfdir/dbus-1/system.d/org.kde.powerdevil.backlighthelper.conf
%_sysconfdir/dbus-1/system.d/org.kde.powerdevil.discretegpuhelper.conf
%_qt5_plugindir/*.so
%_qt5_plugindir/kf5/powerdevil/powerdevilupowerbackend.so
%_libexecdir/kauth/backlighthelper
%_libexecdir/org_kde_powerdevil
%_libexecdir/kauth/discretegpuhelper
%_datadir/dbus-1/system-services/org.kde.powerdevil.backlighthelper.service
%_datadir/dbus-1/system-services/org.kde.powerdevil.discretegpuhelper.service
%_kf5_knotificationsdir/powerdevil.notifyrc
%_kf5_services/*.desktop
%_kf5_servicetypes/powerdevilaction.desktop
%_datadir/polkit-1/actions/org.kde.powerdevil.backlighthelper.policy
%_datadir/polkit-1/actions/org.kde.powerdevil.discretegpuhelper.policy

#--------------------------------------------------------------------

%define powerdevilui_major 5
%define libpowerdevilui %mklibname powerdevilui %{powerdevilui_major}

%package -n %libpowerdevilui
Summary:      Manages the power consumption settings of a Plasma Shell
Group:        System/Libraries


%description -n %libpowerdevilui
Manages the power consumption settings of a Plasma Shell

%files -n %libpowerdevilui
%_kf5_libdir/libpowerdevilui.so.%{powerdevilui_major}*

#--------------------------------------------------------------------

%define powerdevilcore_major 2
%define libpowerdevilcore %mklibname powerdevilcore %{powerdevilcore_major}

%package -n %libpowerdevilcore
Summary:      Manages the power consumption settings of a Plasma Shell
Group:        System/Libraries

%description -n %libpowerdevilcore
Manages the power consumption settings of a Plasma Shell

%files -n %libpowerdevilcore
%_kf5_libdir/libpowerdevilcore.so.%{powerdevilcore_major}*

#--------------------------------------------------------------------

%define powerdevilconfigcommonprivate_major 5
%define libpowerdevilconfigcommonprivate %mklibname powerdevilconfigcommonprivate %{powerdevilconfigcommonprivate_major}

%package -n %libpowerdevilconfigcommonprivate
Summary:      Manages the power consumption settings of a Plasma Shell
Group:        System/Libraries

%description -n %libpowerdevilconfigcommonprivate
Manages the power consumption settings of a Plasma Shell

%files -n %libpowerdevilconfigcommonprivate
%_kf5_libdir/libpowerdevilconfigcommonprivate.so.%{powerdevilconfigcommonprivate_major}*

#--------------------------------------------------------------------

%package handbook
Summary: %name Handbook
BuildArch: noarch

# duplicated files with KDE 4
Conflicts: kdebase4-workspace-handbooks

%description handbook
This package provides %name Handbook.

%files handbook 
%doc %_docdir/HTML/*/kcontrol/powerdevil

#--------------------------------------------------------------------

%define powerdevil_devel %mklibname %name -d

%package -n %powerdevil_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libpowerdevilui = %version-%release
Requires:       %libpowerdevilcore = %version-%release
Requires:       %libpowerdevilconfigcommonprivate = %version-%release
Provides:       %name-devel = %{version}-%{release}

# duplicated files with KDE 4
Conflicts:      kdebase4-workspace-devel

%description -n %powerdevil_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %powerdevil_devel
%_kf5_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name



%changelog
* Sat Feb 24 2018 neoclust <neoclust> 5.12.2-1.mga6
+ Revision: 1204706
- New version 5.12.2
- New version 5.12.1
- New version 5.11.95

* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1104859
- New version 5.8.7

* Wed Mar 08 2017 neoclust <neoclust> 5.8.6-2.mga6
+ Revision: 1089711
- Rebuild for arm

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089045
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078181
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070737
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065081
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064498
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063068
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060293
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057619
- New version 5.8.0

* Fri Sep 16 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053398
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052704
- New version 5.7.5

* Wed Aug 24 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048369
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044289
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042577
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041414
- New version 5.7.1

* Fri Jul 08 2016 tmb <tmb> 5.7.0-1.mga6
+ Revision: 1039755
- BR: correct cmake(KF5NetworkManagerQt)
- BR: plasma5-libnm-qt-devel

  + neoclust <neoclust>
    - New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1021891
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014559
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009296
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999280
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998035
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994413
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 987078
- Rebuild against kf5 5.20.0

* Wed Mar 02 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 983761
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 927989
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922523
- New version 5.5.3

* Fri Dec 25 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 914860
- New version 5.5.2
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910705
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908865
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-1.mga6
+ Revision: 904419
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 900807
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 899834
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889536
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874747
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869665
- New version 5.4.0

* Tue Aug 11 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 862555
- New version 5.3.95

* Tue Jul 21 2015 neoclust <neoclust> 5.3.2-4.mga6
+ Revision: 855839
- Versionnate Conflicts

* Fri Jul 17 2015 neoclust <neoclust> 5.3.2-3.mga6
+ Revision: 854941
- Fix powerdevil update

* Mon Jul 13 2015 neoclust <neoclust> 5.3.2-2.mga6
+ Revision: 853508
- Ease upgrade

* Sun Jul 05 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 850716
- New version 5.3.2

* Mon Feb 23 2015 lmenut <lmenut> 5.1.2-3.mga5
+ Revision: 816633
- add version to conflicts

* Tue Dec 30 2014 sander85 <sander85> 5.1.2-2.mga5
+ Revision: 807270
- powerdevil needs upower to work properly

* Sun Dec 21 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804542
- New version 5.1.2

* Mon Oct 27 2014 lmenut <lmenut> 5.0.1-8.mga5
+ Revision: 793592
- add missing conflicts with KDE 4

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-7.mga5
+ Revision: 738887
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-6.mga5
+ Revision: 687748
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 lmenut <lmenut> 5.0.1-5.mga5
+ Revision: 664580
- fix rename libpowerdevilui
- Rename libpowerdevilui library
- Rename -devel
- Use find_lang --all-name

* Wed Aug 13 2014 neoclust <neoclust> 5.0.1-4.mga5
+ Revision: 662280
- New version 5.0.1

* Sun Jul 27 2014 neoclust <neoclust> 5.0.0-4.mga5
+ Revision: 657599
- Enable translations

* Wed Jul 23 2014 neoclust <neoclust> 5.0.0-3.mga5
+ Revision: 655742
- Try to fix build loop
- imported package powerdevil

